Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2ArithmeticOperator Class Reference

Base class for the +, -, *, / and operator. More...

`#include <Xabsl2DecimalExpression.h>`

Inheritance diagram for Xabsl2ArithmeticOperator:

[legend]
Collaboration diagram for Xabsl2ArithmeticOperator:

[legend]
List of all members.

## Public Member Functions
void | create (Xabsl2DecimalExpression *operand1, Xabsl2DecimalExpression *operand2)
| Creates the operator.
virtual double | getValue ()=0
| Calculates the value of the decimal expression.
| ~Xabsl2ArithmeticOperator ()
| Destructor.
## Protected Attributes
Xabsl2DecimalExpression * | operand1
| The first operand.
Xabsl2DecimalExpression * | operand2
| The second operand.

## Detailed Description

Base class for the +, -, *, / and operator.

Author:
  Martin Lötzsch

Definition at line 174 of file Xabsl2DecimalExpression.h.

## Constructor & Destructor Documentation

Xabsl2ArithmeticOperator::~Xabsl2ArithmeticOperator | ( |  | ) |

| Destructor. Deletes the operands Definition at line 198 of file Xabsl2DecimalExpression.cpp.

## Member Function Documentation

void Xabsl2ArithmeticOperator::create | ( | Xabsl2DecimalExpression * | operand1,
|  | Xabsl2DecimalExpression * | operand2
| ) |

  | Creates the operator. Parameters:
  operand1 | The first operand
  operand2 | The second operand
Definition at line 192 of file Xabsl2DecimalExpression.cpp. Referenced by Xabsl2DecimalExpression::create().

virtual double Xabsl2ArithmeticOperator::getValue | ( |  | ) | `[pure virtual]`

| Calculates the value of the decimal expression. Implements Xabsl2DecimalExpression. Implemented in Xabsl2PlusOperator, Xabsl2MinusOperator, Xabsl2MultiplyOperator, Xabsl2DivideOperator, and Xabsl2ModOperator.

## Member Data Documentation

Xabsl2DecimalExpression* Xabsl2ArithmeticOperator::operand1`[protected]`

| The first operand. Definition at line 192 of file Xabsl2DecimalExpression.h.

Xabsl2DecimalExpression* Xabsl2ArithmeticOperator::operand2`[protected]`

| The second operand. Definition at line 195 of file Xabsl2DecimalExpression.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.cpp